
*****************************************************************************
* PROGRAM: 30_towns_t3
* PROGRAMMER: Modified by Gina Li at MIT, Oct. 2015
* PURPOSE: Makes Table 3 of Angrist, Lavy (2001) and outputs table into .csv
*****************************************************************************
capture log close
clear all 
cd "`directory'"

set more off


log using "Table3.log", replace


use merge3a_public_final, clear

drop if treated == .

matrix t3 = J(30,8,.)


*** 1994 SECULAR SCHOOLS MATH

su mathsc4 if treated == 1 & relig == 0

matrix t3[1,5] = r(mean)
matrix t3[2,5] = r(sd)
matrix t3[1,6] = r(N) 

su mathsc4 if treated == 0 & relig == 0

matrix t3[1,7] = r(mean)
matrix t3[2,7] = r(sd)
matrix t3[1,8] = r(N) 

su mathsc4 if treated == 1 & relig == 0 &  mathsc5 != .

matrix t3[3,5] = r(mean)
matrix t3[4,5] = r(sd)
matrix t3[3,6] = r(N) 

su mathsc4 if treated == 0 & relig == 0 &  mathsc5 != .

matrix t3[3,7] = r(mean)
matrix t3[4,7] = r(sd)
matrix t3[3,8] = r(N) 

su mathsc4 if treated == 1 & relig == 0 &  mathsc6 != .

matrix t3[5,5] = r(mean)
matrix t3[6,5] = r(sd)
matrix t3[5,6] = r(N) 

su mathsc4 if treated == 0 & relig == 0 &  mathsc6 != .

matrix t3[5,7] = r(mean)
matrix t3[6,7] = r(sd)
matrix t3[5,8] = r(N) 

*** 1995 SECULAR SCHOOLS MATH

su mathsc5 if treated == 1 & relig == 0 

matrix t3[7,5] = r(mean)
matrix t3[8,5] = r(sd)
matrix t3[7,6] = r(N) 

su mathsc5 if treated == 0 & relig == 0

matrix t3[7,7] = r(mean)
matrix t3[8,7] = r(sd)
matrix t3[7,8] = r(N) 

su mathsc5 if treated == 1 & relig == 0 &  mathsc4 != .

matrix t3[9,5] = r(mean)
matrix t3[10,5] = r(sd)
matrix t3[9,6] = r(N) 

su mathsc5 if treated == 0 & relig == 0 &  mathsc4 != .

matrix t3[9,7] = r(mean)
matrix t3[10,7] = r(sd)
matrix t3[9,8] = r(N)  

*** 1996 SECULAR SCHOOLS MATH

su mathsc6 if treated == 1 & relig == 0 

matrix t3[11,5] = r(mean)
matrix t3[12,5] = r(sd)
matrix t3[11,6] = r(N) 

su mathsc6 if treated == 0 & relig == 0

matrix t3[11,7] = r(mean)
matrix t3[12,7] = r(sd)
matrix t3[11,8] = r(N) 

su mathsc6 if treated == 1 & relig == 0 &  mathsc4 != .

matrix t3[13,5] = r(mean)
matrix t3[14,5] = r(sd)
matrix t3[13,6] = r(N) 
 
su mathsc6 if treated == 0 & relig == 0 &  mathsc4 != .

matrix t3[13,7] = r(mean)
matrix t3[14,7] = r(sd)
matrix t3[13,8] = r(N) 

unique school_rename if treated == 1 & relig == 0

matrix t3[15,5] = r(sum)

unique school_rename if treated == 0 & relig == 0

matrix t3[15,7] = r(sum)

*** 1994 RELIGIOUS SCHOOLS MATH

su mathsc4 if treated == 1 & relig == 1 

matrix t3[16,5] = r(mean)
matrix t3[17,5] = r(sd)
matrix t3[16,6] = r(N) 

su mathsc4 if treated == 0 & relig == 1

matrix t3[16,7] = r(mean)
matrix t3[17,7] = r(sd)
matrix t3[16,8] = r(N) 

su mathsc4 if treated == 1 & relig == 1 &  mathsc5 != .

matrix t3[18,5] = r(mean)
matrix t3[19,5] = r(sd)
matrix t3[18,6] = r(N) 

su mathsc4 if treated == 0 & relig == 1 &  mathsc5 != .

matrix t3[18,7] = r(mean)
matrix t3[19,7] = r(sd)
matrix t3[18,8] = r(N) 

su mathsc4 if treated == 1 & relig == 1 &  mathsc6 != .

matrix t3[20,5] = r(mean)
matrix t3[21,5] = r(sd)
matrix t3[20,6] = r(N) 

su mathsc4 if treated == 0 & relig == 1 &  mathsc6 != .

matrix t3[20,7] = r(mean)
matrix t3[21,7] = r(sd)
matrix t3[20,8] = r(N) 

*** 1995 RELIGIOUS SCHOOLS MATH

su mathsc5 if treated == 1 & relig == 1 

matrix t3[22,5] = r(mean)
matrix t3[23,5] = r(sd)
matrix t3[22,6] = r(N) 

su mathsc5 if treated == 0 & relig == 1

matrix t3[22,7] = r(mean)
matrix t3[23,7] = r(sd)
matrix t3[22,8] = r(N) 

su mathsc5 if treated == 1 & relig == 1 &  mathsc4 != .

matrix t3[24,5] = r(mean)
matrix t3[25,5] = r(sd)
matrix t3[24,6] = r(N) 

su mathsc5 if treated == 0 & relig == 1 &  mathsc4 != .

matrix t3[24,7] = r(mean)
matrix t3[25,7] = r(sd)
matrix t3[24,8] = r(N) 
 
*** 1996 RELIGIOUS SCHOOLS MATH

su mathsc6 if treated == 1 & relig == 1

matrix t3[26,5] = r(mean)
matrix t3[27,5] = r(sd)
matrix t3[26,6] = r(N)

su mathsc6 if treated == 0 & relig == 1

matrix t3[26,7] = r(mean)
matrix t3[27,7] = r(sd)
matrix t3[26,8] = r(N)

su mathsc6 if treated == 1 & relig == 1 &  mathsc4 != .

matrix t3[28,5] = r(mean)
matrix t3[29,5] = r(sd)
matrix t3[28,6] = r(N)

su mathsc6 if treated == 0 & relig == 1 &  mathsc4 != .

matrix t3[28,7] = r(mean)
matrix t3[29,7] = r(sd)
matrix t3[28,8] = r(N)

unique school_rename if treated == 1 & relig == 1

matrix t3[30,5] = r(sum)

unique school_rename if treated == 0 & relig == 1

matrix t3[30,7] = r(sum)





use merge3ha_public_final, clear

drop if treated == . 

*** 1994 SECULAR SCHOOLS HEBREW

su hebsc4 if treated == 1 & relig == 0 

matrix t3[1,1] = r(mean)
matrix t3[2,1] = r(sd)
matrix t3[1,2] = r(N)

su hebsc4 if treated == 0 & relig == 0

matrix t3[1,3] = r(mean)

matrix t3[2,3] = r(sd)
matrix t3[1,4] = r(N)

su hebsc4 if treated == 1 & relig == 0 &  hebsc5 != .

matrix t3[3,1] = r(mean)
matrix t3[4,1] = r(sd)
matrix t3[3,2] = r(N)

su hebsc4 if treated == 0 & relig == 0 &  hebsc5 != .

matrix t3[3,3] = r(mean)
matrix t3[4,3] = r(sd)
matrix t3[3,4] = r(N)

su hebsc4 if treated == 1 & relig == 0 &  hebsc6 != .

matrix t3[5,1] = r(mean)
matrix t3[6,1] = r(sd)
matrix t3[5,2] = r(N)
 

su hebsc4 if treated == 0 & relig == 0 &  hebsc6 != .

matrix t3[5,3] = r(mean)
matrix t3[6,3] = r(sd)
matrix t3[5,4] = r(N)
 

*** 1995 SECULAR SCHOOLS HEBREW

su hebsc5 if treated == 1 & relig == 0 

matrix t3[7,1] = r(mean)
matrix t3[8,1] = r(sd)
matrix t3[7,2] = r(N)

su hebsc5 if treated == 0 & relig == 0

matrix t3[7,3] = r(mean)
matrix t3[8,3] = r(sd)
matrix t3[7,4] = r(N)

su hebsc5 if treated == 1 & relig == 0 &  hebsc4 != .

matrix t3[9,1] = r(mean)
matrix t3[10,1] = r(sd)
matrix t3[9,2] = r(N)

su hebsc5 if treated == 0 & relig == 0 &  hebsc4 != .

matrix t3[9,3] = r(mean)
matrix t3[10,3] = r(sd)
matrix t3[9,4] = r(N) 

*** 1996 SECULAR SCHOOLS HEBREW

su hebsc6 if treated == 1 & relig == 0 

matrix t3[11,1] = r(mean)
matrix t3[12,1] = r(sd)
matrix t3[11,2] = r(N)

su hebsc6 if treated == 0 & relig == 0

matrix t3[11,3] = r(mean)
matrix t3[12,3] = r(sd)
matrix t3[11,4] = r(N)

su hebsc6 if treated == 1 & relig == 0 &  hebsc4 != .

matrix t3[13,1] = r(mean)
matrix t3[14,1] = r(sd)
matrix t3[13,2] = r(N)

su hebsc6 if treated == 0 & relig == 0 &  hebsc4 != .

matrix t3[13,3] = r(mean)
matrix t3[14,3] = r(sd)
matrix t3[13,4] = r(N)

unique school_rename if treated == 1 & relig == 0

matrix t3[15,1] = r(sum)

unique school_rename if treated == 0 & relig == 0

matrix t3[15,3] = r(sum)

*** 1994 RELIGIOUS SCHOOLS HEBREW

su hebsc4 if treated == 1 & relig == 1 

matrix t3[16,1] = r(mean)
matrix t3[17,1] = r(sd)
matrix t3[16,2] = r(N)

su hebsc4 if treated == 0 & relig == 1

matrix t3[16,3] = r(mean)
matrix t3[17,3] = r(sd)
matrix t3[16,4] = r(N)

su hebsc4 if treated == 1 & relig == 1 &  hebsc5 != .

matrix t3[18,1] = r(mean)
matrix t3[19,1] = r(sd)
matrix t3[18,2] = r(N)

su hebsc4 if treated == 0 & relig == 1 &  hebsc5 != .

matrix t3[18,3] = r(mean)
matrix t3[19,3] = r(sd)
matrix t3[18,4] = r(N)

*** 1995 RELIGIOUS SCHOOLS HEBREW

su hebsc5 if treated == 1 & relig == 1 

matrix t3[20,1] = r(mean)
matrix t3[21,1] = r(sd)
matrix t3[20,2] = r(N)

su hebsc5 if treated == 0 & relig == 1

matrix t3[20,3] = r(mean)
matrix t3[21,3] = r(sd)
matrix t3[20,4] = r(N)

su hebsc5 if treated == 1 & relig == 1 &  hebsc4 != .

matrix t3[22,1] = r(mean)
matrix t3[23,1] = r(sd)
matrix t3[22,2] = r(N)

su hebsc5 if treated == 0 & relig == 1 &  hebsc4 != .

matrix t3[22,3] = r(mean)
matrix t3[23,3] = r(sd)
matrix t3[22,4] = r(N)

unique school_rename if treated == 1 & relig == 1

matrix t3[30,1] = r(sum)

unique school_rename if treated == 0 & relig == 1

matrix t3[30,3] = r(sum)

clear

svmat t3

outsheet using "table3_output.csv", comma replace

log close



